Last Comment Bug 417092 - Modify pkix_CertSelector API to return an error if cert was rejected.
: Modify pkix_CertSelector API to return an error if cert was rejected.
Status: RESOLVED FIXED
PKIX SUN_MUST_HAVE
:
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: 3.12
: All All
: P2 normal (vote)
: 3.12.3
Assigned To: Alexei Volkov
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 14:31 PST by Alexei Volkov
Modified: 2009-04-10 14:47 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Alexei Volkov 2008-02-12 14:31:00 PST
Currently, in most of the cases the function returns only match/not-match status, but does not return a clue why a cert was rejected.

This enhancement is needed for PKIX_ValidateChain only. Should not be targeted to be fixed in 3.12.
Comment 1 Nelson Bolyard (seldom reads bugmail) 2008-06-06 16:06:01 PDT
Alexei, please add more explanation of what is wanted here, and where it is 
needed (what other code would be changed to use it).
Comment 2 Alexei Volkov 2009-04-10 14:47:50 PDT
Fixed by patch to bug 420991

Note You need to log in before you can comment on or make changes to this bug.